"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Cuenta = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _AuthContext = require("../context/Auth/AuthContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const Cuenta = _ref => {
  var _dataBank$account$acc;
  let {
    isInformationAccount = true,
    isInformationAmount = true
  } = _ref;
  const {
    dataBank
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  const last3ultimatedigits = dataBank === null || dataBank === void 0 ? void 0 : (_dataBank$account$acc = dataBank.account.accountId) === null || _dataBank$account$acc === void 0 ? void 0 : _dataBank$account$acc.slice(-3);
  console.log(dataBank === null || dataBank === void 0 ? void 0 : dataBank.account.accountId);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorCuenta
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.info
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.description
  }, "Mis Cuentas"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Ver todas ")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.sectionCard
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: styles.images,
    source: {
      uri: 'https://upload.wikimedia.org/wikipedia/commons/thumb/1/16/Banco_Pichincha_logo.svg/100px-Banco_Pichincha_logo.svg.png'
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoCuenta
  }, "AHO", last3ultimatedigits, " \u2605 ")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.sectionCard
  }, isInformationAccount ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Ahorros", " ", '\n', /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoCuenta
  }, dataBank ? dataBank.account.accountId : "")) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Informaci\xF3n no disponible"), isInformationAmount ? /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Saldo Disponible:", '\n', /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoCuenta
  }, dataBank ? dataBank.account.balance : ""))) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Saldo no disponible"))));
};
exports.Cuenta = Cuenta;
const styles = _reactNative.StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 17
  },
  sectionCard: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    width: '100%',
    padding: 20
  },
  contenedorCuenta: {
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
    width: '100%'
  },
  container: {
    backgroundColor: '#FFFFFF',
    width: '90%',
    marginBottom: 30,
    height: 150,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    boxShadow: 'inset 1em 1em gold',
    shadowColor: '#000',
    borderRadius: 10,
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  description: {
    fontWeight: 'bold',
    fontSize: 16,
    color: '#1b003a'
  },
  info: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    padding: 20,
    width: '100%'
  },
  images: {
    width: 120,
    height: 25
  }
});
//# sourceMappingURL=Cuenta.js.map