"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SabiasQue = SabiasQue;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _CardsSabiasQue = require("./CardsSabiasQue");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function SabiasQue(_ref) {
  let {
    numResult = 5,
    datos
  } = _ref;
  const [data, setData] = (0, _react.useState)(datos);
  const renderItem = _ref2 => {
    let {
      item
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_CardsSabiasQue.CardsSabiasQue, {
      item: item
    });
  };
  (0, _react.useEffect)(() => {
    setData(datos);
  }, [datos]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contain
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.title
  }, "\xBFSabias Que?"), /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: data.slice(0, numResult),
    renderItem: renderItem,
    horizontal: true
  })));
}
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1
  },
  contain: {
    backgroundColor: '#ffff',
    width: '100%',
    height: 230,
    padding: 10
  },
  title: {
    marginLeft: 17,
    marginBottom: 10,
    fontWeight: 'bold',
    fontSize: 18
  }
});
//# sourceMappingURL=SabiasQue.js.map