import axios from 'axios';
import uuid from 'react-uuid';
import type { TransactionDebit } from '../interface/post';
import { Sign } from '../utility/encript';
const getHeaders = (data:TransactionDebit) => {
    const uid = uuid();
    const sign = new Sign(data, "https://api-test.pichincha.com/payment-execution/v2/direct-transfers", uid);
    const XApigeeCredentials = "ZkdlUk5HYXFtMFdKQ2ZtdG85a25hUFNSNWVhRDlBaG86dVNjR2ZkeGg1VlRMZElPeA==";
    const signature = sign.getSignature();
    const headers = {
      "X-Apigee-Credentials": XApigeeCredentials,
      "X-Device-IP": "200.10.89.34",
      "X-Guid": uid,
      "X-Device": "29xp3L6xJCaTSmWsQHsIsIqiyoU7Z0Az+EfYl2Bq5e0=",
      "X-Session": "3e80ddc9-29fb-4c99-b82e-403287fe4ce5",
      "X-Signature": signature,
    }
    return headers;
}
export const sendTransaccion = async (data: TransactionDebit) => {
    try{
    const headers = getHeaders(data);
    const response=await axios.post("https://api-test.pichincha.com/payment-execution/v2/direct-transfers", data, {headers: headers});
    return response;
    }
    catch(err:any){
        console.log(err)
        throw new Error(err)
    }
}

