import React from 'react';
import { StyleSheet } from 'react-native';
import { Provider as PaperProvider, Card, Title, Paragraph } from 'react-native-paper';
export function CardDeUna(_ref) {
  let {
    datos = {
      titulo: 'hola',
      descripcion: 'hola',
      imagen: 'https://picsum.photos/700'
    },
    backgroundColor = 'white'
  } = _ref;
  return /*#__PURE__*/React.createElement(PaperProvider, null, /*#__PURE__*/React.createElement(Card, {
    onPress: () => console.log('Pressed'),
    style: {
      ...style.card,
      backgroundColor: backgroundColor
    }
  }, /*#__PURE__*/React.createElement(Card.Cover, {
    source: {
      uri: datos === null || datos === void 0 ? void 0 : datos.imagen
    }
  }), /*#__PURE__*/React.createElement(Card.Content, null, /*#__PURE__*/React.createElement(Title, null, datos === null || datos === void 0 ? void 0 : datos.titulo), /*#__PURE__*/React.createElement(Paragraph, null, datos === null || datos === void 0 ? void 0 : datos.descripcion))));
}
const style = StyleSheet.create({
  card: {
    marginTop: 10,
    margin: 20
  }
});
//# sourceMappingURL=card.js.map