import React from 'react';
import { View, StyleSheet, Text } from 'react-native';
interface Props {
  typeAccount?: string;
  numberAccount?: string;
}
export const CuentaMin = ({ typeAccount, numberAccount }: Props) => {
  return (
    <View style={style.container}>
      <View>
        <Text style={style.titulo}>AH6848</Text>
        <Text style={style.parrafos}>{typeAccount}</Text>
        <Text style={style.parrafos}>{numberAccount}</Text>
      </View>
      <View>
      </View>
    </View>
  );
};

const style = StyleSheet.create({
  card: {
    marginTop: 10,
    margin: 20,
  },
  icon: {
    fontSize: 24,
  },
  container: {
    backgroundColor: '#FFFFFF',
    width: '100%',
    height: 80,
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    padding: 13,
    boxShadow: 'inset 1em 1em gold',
    shadowColor: '#000',
    borderRadius: 10,
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5,
  },
  titulo: {
    fontWeight: 'bold',
    color: 'black',
    fontSize: 17,
  },
  parrafos: {
    fontWeight: 'bold',
    fontSize: 13,
  },
});
